import * as React from "react";
export declare type IconType = "lg" | "2x" | "3x" | "4x" | "5x";
export interface IFaIconProps {
    name: EFaIconName;
    className?: string;
    style?: React.CSSProperties;
    size?: IconType;
    fixedWidth?: boolean;
    pullLeft?: boolean;
    spin?: boolean;
    onClick?: any;
}
export declare enum EFaIconName {
    $500px = "500px",
    AddressBook = "address-book",
    AddressBookO = "address-book-o",
    AddressCard = "address-card",
    AddressCardO = "address-card-o",
    Adjust = "adjust",
    Adn = "adn",
    AlignCenter = "align-center",
    AlignJustify = "align-justify",
    AlignLeft = "align-left",
    AlignRight = "align-right",
    Amazon = "amazon",
    Ambulance = "ambulance",
    AmericanSignLanguageInterpreting = "american-sign-language-interpreting",
    Anchor = "anchor",
    Android = "android",
    Angellist = "angellist",
    AngleDoubleDown = "angle-double-down",
    AngleDoubleLeft = "angle-double-left",
    AngleDoubleRight = "angle-double-right",
    AngleDoubleUp = "angle-double-up",
    AngleDown = "angle-down",
    AngleLeft = "angle-left",
    AngleRight = "angle-right",
    AngleUp = "angle-up",
    Apple = "apple",
    Archive = "archive",
    AreaChart = "area-chart",
    ArrowCircleDown = "arrow-circle-down",
    ArrowCircleLeft = "arrow-circle-left",
    ArrowCircleODown = "arrow-circle-o-down",
    ArrowCircleOLeft = "arrow-circle-o-left",
    ArrowCircleORight = "arrow-circle-o-right",
    ArrowCircleOUp = "arrow-circle-o-up",
    ArrowCircleRight = "arrow-circle-right",
    ArrowCircleUp = "arrow-circle-up",
    ArrowDown = "arrow-down",
    ArrowLeft = "arrow-left",
    ArrowRight = "arrow-right",
    Arrows = "arrows",
    ArrowsAlt = "arrows-alt",
    ArrowsH = "arrows-h",
    ArrowsV = "arrows-v",
    ArrowUp = "arrow-up",
    AslInterpreting = "asl-interpreting",
    AssistiveListeningSystems = "assistive-listening-systems",
    Asterisk = "asterisk",
    At = "at",
    AudioDescription = "audio-description",
    Automobile = "automobile",
    Backward = "backward",
    BalanceScale = "balance-scale",
    Ban = "ban",
    Bandcamp = "bandcamp",
    Bank = "bank",
    BarChart = "bar-chart",
    BarChartO = "bar-chart-o",
    Barcode = "barcode",
    Bars = "bars",
    Bath = "bath",
    Bathtub = "bathtub",
    Battery = "battery",
    Battery0 = "battery-0",
    Battery1 = "battery-1",
    Battery2 = "battery-2",
    Battery3 = "battery-3",
    Battery4 = "battery-4",
    BatteryEmpty = "battery-empty",
    BatteryFull = "battery-full",
    BatteryHalf = "battery-half",
    BatteryQuarter = "battery-quarter",
    BatteryThreeQuarters = "battery-three-quarters",
    Bed = "bed",
    Beer = "beer",
    Behance = "behance",
    BehanceSquare = "behance-square",
    Bell = "bell",
    BellO = "bell-o",
    BellSlash = "bell-slash",
    BellSlashO = "bell-slash-o",
    Bicycle = "bicycle",
    Binoculars = "binoculars",
    BirthdayCake = "birthday-cake",
    Bitbucket = "bitbucket",
    BitbucketSquare = "bitbucket-square",
    Bitcoin = "bitcoin",
    BlackTie = "black-tie",
    Blind = "blind",
    Bluetooth = "bluetooth",
    BluetoothB = "bluetooth-b",
    Bold = "bold",
    Bolt = "bolt",
    Bomb = "bomb",
    Book = "book",
    Bookmark = "bookmark",
    BookmarkO = "bookmark-o",
    Braille = "braille",
    Briefcase = "briefcase",
    Btc = "btc",
    Bug = "bug",
    Building = "building",
    BuildingO = "building-o",
    Bullhorn = "bullhorn",
    Bullseye = "bullseye",
    Bus = "bus",
    Buysellads = "buysellads",
    Cab = "cab",
    Calculator = "calculator",
    Calendar = "calendar",
    CalendarCheckO = "calendar-check-o",
    CalendarMinusO = "calendar-minus-o",
    CalendarO = "calendar-o",
    CalendarPlusO = "calendar-plus-o",
    CalendarTimesO = "calendar-times-o",
    Camera = "camera",
    CameraRetro = "camera-retro",
    Car = "car",
    CaretDown = "caret-down",
    CaretLeft = "caret-left",
    CaretRight = "caret-right",
    CaretSquareODown = "caret-square-o-down",
    CaretSquareOLeft = "caret-square-o-left",
    CaretSquareORight = "caret-square-o-right",
    CaretSquareOUp = "caret-square-o-up",
    CaretUp = "caret-up",
    CartArrowDown = "cart-arrow-down",
    CartPlus = "cart-plus",
    Cc = "cc",
    CcAmex = "cc-amex",
    CcDinersClub = "cc-diners-club",
    CcDiscover = "cc-discover",
    CcJcb = "cc-jcb",
    CcMastercard = "cc-mastercard",
    CcPaypal = "cc-paypal",
    CcStripe = "cc-stripe",
    CcVisa = "cc-visa",
    Certificate = "certificate",
    Chain = "chain",
    ChainBroken = "chain-broken",
    Check = "check",
    CheckCircle = "check-circle",
    CheckCircleO = "check-circle-o",
    CheckSquare = "check-square",
    CheckSquareO = "check-square-o",
    ChevronCircleDown = "chevron-circle-down",
    ChevronCircleLeft = "chevron-circle-left",
    ChevronCircleRight = "chevron-circle-right",
    ChevronCircleUp = "chevron-circle-up",
    ChevronDown = "chevron-down",
    ChevronLeft = "chevron-left",
    ChevronRight = "chevron-right",
    ChevronUp = "chevron-up",
    Child = "child",
    Chrome = "chrome",
    Circle = "circle",
    CircleO = "circle-o",
    CircleONotch = "circle-o-notch",
    CircleThin = "circle-thin",
    Clipboard = "clipboard",
    ClockO = "clock-o",
    Clone = "clone",
    Close = "close",
    Cloud = "cloud",
    CloudDownload = "cloud-download",
    CloudUpload = "cloud-upload",
    Cny = "cny",
    Code = "code",
    CodeFork = "code-fork",
    Codepen = "codepen",
    Codiepie = "codiepie",
    Coffee = "coffee",
    Cog = "cog",
    Cogs = "cogs",
    Columns = "columns",
    Comment = "comment",
    Commenting = "commenting",
    CommentingO = "commenting-o",
    CommentO = "comment-o",
    Comments = "comments",
    CommentsO = "comments-o",
    Compass = "compass",
    Compress = "compress",
    Connectdevelop = "connectdevelop",
    Contao = "contao",
    Copy = "copy",
    Copyright = "copyright",
    CreativeCommons = "creative-commons",
    CreditCard = "credit-card",
    CreditCardAlt = "credit-card-alt",
    Crop = "crop",
    Crosshairs = "crosshairs",
    Css3 = "css3",
    Cube = "cube",
    Cubes = "cubes",
    Cut = "cut",
    Cutlery = "cutlery",
    Dashboard = "dashboard",
    Dashcube = "dashcube",
    Database = "database",
    Deaf = "deaf",
    Deafness = "deafness",
    Dedent = "dedent",
    Delicious = "delicious",
    Desktop = "desktop",
    Deviantart = "deviantart",
    Diamond = "diamond",
    Digg = "digg",
    Dollar = "dollar",
    DotCircleO = "dot-circle-o",
    Download = "download",
    Dribbble = "dribbble",
    DriversLicense = "drivers-license",
    DriversLicenseO = "drivers-license-o",
    Dropbox = "dropbox",
    Drupal = "drupal",
    Edge = "edge",
    Edit = "edit",
    Eercast = "eercast",
    Eject = "eject",
    EllipsisH = "ellipsis-h",
    EllipsisV = "ellipsis-v",
    Empire = "empire",
    Envelope = "envelope",
    EnvelopeO = "envelope-o",
    EnvelopeOpen = "envelope-open",
    EnvelopeOpenO = "envelope-open-o",
    EnvelopeSquare = "envelope-square",
    Envira = "envira",
    Eraser = "eraser",
    Etsy = "etsy",
    Eur = "eur",
    Euro = "euro",
    Exchange = "exchange",
    Exclamation = "exclamation",
    ExclamationCircle = "exclamation-circle",
    ExclamationTriangle = "exclamation-triangle",
    Expand = "expand",
    Expeditedssl = "expeditedssl",
    ExternalLink = "external-link",
    ExternalLinkSquare = "external-link-square",
    Eye = "eye",
    Eyedropper = "eyedropper",
    EyeSlash = "eye-slash",
    Fa = "fa",
    Facebook = "facebook",
    FacebookF = "facebook-f",
    FacebookOfficial = "facebook-official",
    FacebookSquare = "facebook-square",
    FastBackward = "fast-backward",
    FastForward = "fast-forward",
    Fax = "fax",
    Feed = "feed",
    Female = "female",
    FighterJet = "fighter-jet",
    File = "file",
    FileArchiveO = "file-archive-o",
    FileAudioO = "file-audio-o",
    FileCodeO = "file-code-o",
    FileExcelO = "file-excel-o",
    FileImageO = "file-image-o",
    FileMovieO = "file-movie-o",
    FileO = "file-o",
    FilePdfO = "file-pdf-o",
    FilePhotoO = "file-photo-o",
    FilePictureO = "file-picture-o",
    FilePowerpointO = "file-powerpoint-o",
    FilesO = "files-o",
    FileSoundO = "file-sound-o",
    FileText = "file-text",
    FileTextO = "file-text-o",
    FileVideoO = "file-video-o",
    FileWordO = "file-word-o",
    FileZipO = "file-zip-o",
    Film = "film",
    Filter = "filter",
    Fire = "fire",
    FireExtinguisher = "fire-extinguisher",
    Firefox = "firefox",
    FirstOrder = "first-order",
    Flag = "flag",
    FlagCheckered = "flag-checkered",
    FlagO = "flag-o",
    Flash = "flash",
    Flask = "flask",
    Flickr = "flickr",
    FloppyO = "floppy-o",
    Folder = "folder",
    FolderO = "folder-o",
    FolderOpen = "folder-open",
    FolderOpenO = "folder-open-o",
    Font = "font",
    FontAwesome = "font-awesome",
    Fonticons = "fonticons",
    FortAwesome = "fort-awesome",
    Forumbee = "forumbee",
    Forward = "forward",
    Foursquare = "foursquare",
    FreeCodeCamp = "free-code-camp",
    FrownO = "frown-o",
    FutbolO = "futbol-o",
    Gamepad = "gamepad",
    Gavel = "gavel",
    Gbp = "gbp",
    Ge = "ge",
    Gear = "gear",
    Gears = "gears",
    Genderless = "genderless",
    GetPocket = "get-pocket",
    Gg = "gg",
    GgCircle = "gg-circle",
    Gift = "gift",
    Git = "git",
    Github = "github",
    GithubAlt = "github-alt",
    GithubSquare = "github-square",
    Gitlab = "gitlab",
    GitSquare = "git-square",
    Gittip = "gittip",
    Glass = "glass",
    Glide = "glide",
    GlideG = "glide-g",
    Globe = "globe",
    Google = "google",
    GooglePlus = "google-plus",
    GooglePlusCircle = "google-plus-circle",
    GooglePlusOfficial = "google-plus-official",
    GooglePlusSquare = "google-plus-square",
    GoogleWallet = "google-wallet",
    GraduationCap = "graduation-cap",
    Gratipay = "gratipay",
    Grav = "grav",
    Group = "group",
    HackerNews = "hacker-news",
    HandGrabO = "hand-grab-o",
    HandLizardO = "hand-lizard-o",
    HandODown = "hand-o-down",
    HandOLeft = "hand-o-left",
    HandORight = "hand-o-right",
    HandOUp = "hand-o-up",
    HandPaperO = "hand-paper-o",
    HandPeaceO = "hand-peace-o",
    HandPointerO = "hand-pointer-o",
    HandRockO = "hand-rock-o",
    HandScissorsO = "hand-scissors-o",
    HandshakeO = "handshake-o",
    HandSpockO = "hand-spock-o",
    HandStopO = "hand-stop-o",
    HardOfHearing = "hard-of-hearing",
    Hashtag = "hashtag",
    HddO = "hdd-o",
    Header = "header",
    Headphones = "headphones",
    Heart = "heart",
    Heartbeat = "heartbeat",
    HeartO = "heart-o",
    History = "history",
    Home = "home",
    HospitalO = "hospital-o",
    Hotel = "hotel",
    Hourglass = "hourglass",
    Hourglass1 = "hourglass-1",
    Hourglass2 = "hourglass-2",
    Hourglass3 = "hourglass-3",
    HourglassEnd = "hourglass-end",
    HourglassHalf = "hourglass-half",
    HourglassO = "hourglass-o",
    HourglassStart = "hourglass-start",
    Houzz = "houzz",
    HSquare = "h-square",
    Html5 = "html5",
    ICursor = "i-cursor",
    IdBadge = "id-badge",
    IdCard = "id-card",
    IdCardO = "id-card-o",
    Ils = "ils",
    Image = "image",
    Imdb = "imdb",
    Inbox = "inbox",
    Indent = "indent",
    Industry = "industry",
    Info = "info",
    InfoCircle = "info-circle",
    Inr = "inr",
    Instagram = "instagram",
    Institution = "institution",
    InternetExplorer = "internet-explorer",
    Intersex = "intersex",
    Ioxhost = "ioxhost",
    Italic = "italic",
    Joomla = "joomla",
    Jpy = "jpy",
    Jsfiddle = "jsfiddle",
    Key = "key",
    KeyboardO = "keyboard-o",
    Krw = "krw",
    Language = "language",
    Laptop = "laptop",
    Lastfm = "lastfm",
    LastfmSquare = "lastfm-square",
    Leaf = "leaf",
    Leanpub = "leanpub",
    Legal = "legal",
    LemonO = "lemon-o",
    LevelDown = "level-down",
    LevelUp = "level-up",
    LifeBouy = "life-bouy",
    LifeBuoy = "life-buoy",
    LifeRing = "life-ring",
    LifeSaver = "life-saver",
    LightbulbO = "lightbulb-o",
    LineChart = "line-chart",
    Link = "link",
    Linkedin = "linkedin",
    LinkedinSquare = "linkedin-square",
    Linode = "linode",
    Linux = "linux",
    List = "list",
    ListAlt = "list-alt",
    ListOl = "list-ol",
    ListUl = "list-ul",
    LocationArrow = "location-arrow",
    Lock = "lock",
    LongArrowDown = "long-arrow-down",
    LongArrowLeft = "long-arrow-left",
    LongArrowRight = "long-arrow-right",
    LongArrowUp = "long-arrow-up",
    LowVision = "low-vision",
    Magic = "magic",
    Magnet = "magnet",
    MailForward = "mail-forward",
    MailReply = "mail-reply",
    MailReplyAll = "mail-reply-all",
    Male = "male",
    Map = "map",
    MapMarker = "map-marker",
    MapO = "map-o",
    MapPin = "map-pin",
    MapSigns = "map-signs",
    Mars = "mars",
    MarsDouble = "mars-double",
    MarsStroke = "mars-stroke",
    MarsStrokeH = "mars-stroke-h",
    MarsStrokeV = "mars-stroke-v",
    Maxcdn = "maxcdn",
    Meanpath = "meanpath",
    Medium = "medium",
    Medkit = "medkit",
    Meetup = "meetup",
    MehO = "meh-o",
    Mercury = "mercury",
    Microchip = "microchip",
    Microphone = "microphone",
    MicrophoneSlash = "microphone-slash",
    Minus = "minus",
    MinusCircle = "minus-circle",
    MinusSquare = "minus-square",
    MinusSquareO = "minus-square-o",
    Mixcloud = "mixcloud",
    Mobile = "mobile",
    MobilePhone = "mobile-phone",
    Modx = "modx",
    Money = "money",
    MoonO = "moon-o",
    MortarBoard = "mortar-board",
    Motorcycle = "motorcycle",
    MousePointer = "mouse-pointer",
    Music = "music",
    Navicon = "navicon",
    Neuter = "neuter",
    NewspaperO = "newspaper-o",
    ObjectGroup = "object-group",
    ObjectUngroup = "object-ungroup",
    Odnoklassniki = "odnoklassniki",
    OdnoklassnikiSquare = "odnoklassniki-square",
    Opencart = "opencart",
    Openid = "openid",
    Opera = "opera",
    OptinMonster = "optin-monster",
    Outdent = "outdent",
    Pagelines = "pagelines",
    PaintBrush = "paint-brush",
    Paperclip = "paperclip",
    PaperPlane = "paper-plane",
    PaperPlaneO = "paper-plane-o",
    Paragraph = "paragraph",
    Paste = "paste",
    Pause = "pause",
    PauseCircle = "pause-circle",
    PauseCircleO = "pause-circle-o",
    Paw = "paw",
    Paypal = "paypal",
    Pencil = "pencil",
    PencilSquare = "pencil-square",
    PencilSquareO = "pencil-square-o",
    Percent = "percent",
    Phone = "phone",
    PhoneSquare = "phone-square",
    Photo = "photo",
    PictureO = "picture-o",
    PieChart = "pie-chart",
    PiedPiper = "pied-piper",
    PiedPiperAlt = "pied-piper-alt",
    PiedPiperPp = "pied-piper-pp",
    Pinterest = "pinterest",
    PinterestP = "pinterest-p",
    PinterestSquare = "pinterest-square",
    Plane = "plane",
    Play = "play",
    PlayCircle = "play-circle",
    PlayCircleO = "play-circle-o",
    Plug = "plug",
    Plus = "plus",
    PlusCircle = "plus-circle",
    PlusSquare = "plus-square",
    PlusSquareO = "plus-square-o",
    Podcast = "podcast",
    PowerOff = "power-off",
    Print = "print",
    ProductHunt = "product-hunt",
    PuzzlePiece = "puzzle-piece",
    Qq = "qq",
    Qrcode = "qrcode",
    Question = "question",
    QuestionCircle = "question-circle",
    QuestionCircleO = "question-circle-o",
    Quora = "quora",
    QuoteLeft = "quote-left",
    QuoteRight = "quote-right",
    Ra = "ra",
    Random = "random",
    Ravelry = "ravelry",
    Rebel = "rebel",
    Recycle = "recycle",
    Reddit = "reddit",
    RedditAlien = "reddit-alien",
    RedditSquare = "reddit-square",
    Refresh = "refresh",
    Registered = "registered",
    Remove = "remove",
    Renren = "renren",
    Reorder = "reorder",
    Repeat = "repeat",
    Reply = "reply",
    ReplyAll = "reply-all",
    Resistance = "resistance",
    Retweet = "retweet",
    Rmb = "rmb",
    Road = "road",
    Rocket = "rocket",
    RotateLeft = "rotate-left",
    RotateRight = "rotate-right",
    Rouble = "rouble",
    Rss = "rss",
    RssSquare = "rss-square",
    Rub = "rub",
    Ruble = "ruble",
    Rupee = "rupee",
    S15 = "s15",
    Safari = "safari",
    Save = "save",
    Scissors = "scissors",
    Scribd = "scribd",
    Search = "search",
    SearchMinus = "search-minus",
    SearchPlus = "search-plus",
    Sellsy = "sellsy",
    Send = "send",
    SendO = "send-o",
    Server = "server",
    Share = "share",
    ShareAlt = "share-alt",
    ShareAltSquare = "share-alt-square",
    ShareSquare = "share-square",
    ShareSquareO = "share-square-o",
    Shekel = "shekel",
    Sheqel = "sheqel",
    Shield = "shield",
    Ship = "ship",
    Shirtsinbulk = "shirtsinbulk",
    ShoppingBag = "shopping-bag",
    ShoppingBasket = "shopping-basket",
    ShoppingCart = "shopping-cart",
    Shower = "shower",
    Signal = "signal",
    SignIn = "sign-in",
    Signing = "signing",
    SignLanguage = "sign-language",
    SignOut = "sign-out",
    Simplybuilt = "simplybuilt",
    Sitemap = "sitemap",
    Skyatlas = "skyatlas",
    Skype = "skype",
    Slack = "slack",
    Sliders = "sliders",
    Slideshare = "slideshare",
    SmileO = "smile-o",
    Snapchat = "snapchat",
    SnapchatGhost = "snapchat-ghost",
    SnapchatSquare = "snapchat-square",
    SnowflakeO = "snowflake-o",
    SoccerBallO = "soccer-ball-o",
    Sort = "sort",
    SortAlphaAsc = "sort-alpha-asc",
    SortAlphaDesc = "sort-alpha-desc",
    SortAmountAsc = "sort-amount-asc",
    SortAmountDesc = "sort-amount-desc",
    SortAsc = "sort-asc",
    SortDesc = "sort-desc",
    SortDown = "sort-down",
    SortNumericAsc = "sort-numeric-asc",
    SortNumericDesc = "sort-numeric-desc",
    SortUp = "sort-up",
    Soundcloud = "soundcloud",
    SpaceShuttle = "space-shuttle",
    Spinner = "spinner",
    Spoon = "spoon",
    Spotify = "spotify",
    Square = "square",
    SquareO = "square-o",
    StackExchange = "stack-exchange",
    StackOverflow = "stack-overflow",
    Star = "star",
    StarHalf = "star-half",
    StarHalfEmpty = "star-half-empty",
    StarHalfFull = "star-half-full",
    StarHalfO = "star-half-o",
    StarO = "star-o",
    Steam = "steam",
    SteamSquare = "steam-square",
    StepBackward = "step-backward",
    StepForward = "step-forward",
    Stethoscope = "stethoscope",
    StickyNote = "sticky-note",
    StickyNoteO = "sticky-note-o",
    Stop = "stop",
    StopCircle = "stop-circle",
    StopCircleO = "stop-circle-o",
    StreetView = "street-view",
    Strikethrough = "strikethrough",
    Stumbleupon = "stumbleupon",
    StumbleuponCircle = "stumbleupon-circle",
    Subscript = "subscript",
    Subway = "subway",
    Suitcase = "suitcase",
    SunO = "sun-o",
    Superpowers = "superpowers",
    Superscript = "superscript",
    Support = "support",
    Table = "table",
    Tablet = "tablet",
    Tachometer = "tachometer",
    Tag = "tag",
    Tags = "tags",
    Tasks = "tasks",
    Taxi = "taxi",
    Telegram = "telegram",
    Television = "television",
    TencentWeibo = "tencent-weibo",
    Terminal = "terminal",
    TextHeight = "text-height",
    TextWidth = "text-width",
    Th = "th",
    Themeisle = "themeisle",
    Thermometer = "thermometer",
    Thermometer0 = "thermometer-0",
    Thermometer1 = "thermometer-1",
    Thermometer2 = "thermometer-2",
    Thermometer3 = "thermometer-3",
    Thermometer4 = "thermometer-4",
    ThermometerEmpty = "thermometer-empty",
    ThermometerFull = "thermometer-full",
    ThermometerHalf = "thermometer-half",
    ThermometerQuarter = "thermometer-quarter",
    ThermometerThreeQuarters = "thermometer-three-quarters",
    ThLarge = "th-large",
    ThList = "th-list",
    ThumbsDown = "thumbs-down",
    ThumbsODown = "thumbs-o-down",
    ThumbsOUp = "thumbs-o-up",
    ThumbsUp = "thumbs-up",
    ThumbTack = "thumb-tack",
    Ticket = "ticket",
    Times = "times",
    TimesCircle = "times-circle",
    TimesCircleO = "times-circle-o",
    TimesRectangle = "times-rectangle",
    TimesRectangleO = "times-rectangle-o",
    Tint = "tint",
    ToggleDown = "toggle-down",
    ToggleLeft = "toggle-left",
    ToggleOff = "toggle-off",
    ToggleOn = "toggle-on",
    ToggleRight = "toggle-right",
    ToggleUp = "toggle-up",
    Trademark = "trademark",
    Train = "train",
    Transgender = "transgender",
    TransgenderAlt = "transgender-alt",
    Trash = "trash",
    TrashO = "trash-o",
    Tree = "tree",
    Trello = "trello",
    Tripadvisor = "tripadvisor",
    Trophy = "trophy",
    Truck = "truck",
    Try = "try",
    Tty = "tty",
    Tumblr = "tumblr",
    TumblrSquare = "tumblr-square",
    TurkishLira = "turkish-lira",
    Tv = "tv",
    Twitch = "twitch",
    Twitter = "twitter",
    TwitterSquare = "twitter-square",
    Umbrella = "umbrella",
    Underline = "underline",
    Undo = "undo",
    UniversalAccess = "universal-access",
    University = "university",
    Unlink = "unlink",
    Unlock = "unlock",
    UnlockAlt = "unlock-alt",
    Unsorted = "unsorted",
    Upload = "upload",
    Usb = "usb",
    Usd = "usd",
    User = "user",
    UserCircle = "user-circle",
    UserCircleO = "user-circle-o",
    UserMd = "user-md",
    UserO = "user-o",
    UserPlus = "user-plus",
    Users = "users",
    UserSecret = "user-secret",
    UserTimes = "user-times",
    Vcard = "vcard",
    VcardO = "vcard-o",
    Venus = "venus",
    VenusDouble = "venus-double",
    VenusMars = "venus-mars",
    Viacoin = "viacoin",
    Viadeo = "viadeo",
    ViadeoSquare = "viadeo-square",
    VideoCamera = "video-camera",
    Vimeo = "vimeo",
    VimeoSquare = "vimeo-square",
    Vine = "vine",
    Vk = "vk",
    VolumeControlPhone = "volume-control-phone",
    VolumeDown = "volume-down",
    VolumeOff = "volume-off",
    VolumeUp = "volume-up",
    Warning = "warning",
    Wechat = "wechat",
    Weibo = "weibo",
    Weixin = "weixin",
    Whatsapp = "whatsapp",
    Wheelchair = "wheelchair",
    WheelchairAlt = "wheelchair-alt",
    Wifi = "wifi",
    WikipediaW = "wikipedia-w",
    WindowClose = "window-close",
    WindowCloseO = "window-close-o",
    WindowMaximize = "window-maximize",
    WindowMinimize = "window-minimize",
    WindowRestore = "window-restore",
    Windows = "windows",
    Won = "won",
    Wordpress = "wordpress",
    Wpbeginner = "wpbeginner",
    Wpexplorer = "wpexplorer",
    Wpforms = "wpforms",
    Wrench = "wrench",
    Xing = "xing",
    XingSquare = "xing-square",
    Yahoo = "yahoo",
    Yc = "yc",
    YCombinator = "y-combinator",
    YCombinatorSquare = "y-combinator-square",
    YcSquare = "yc-square",
    Yelp = "yelp",
    Yen = "yen",
    Yoast = "yoast",
    Youtube = "youtube",
    YoutubePlay = "youtube-play",
    YoutubeSquare = "youtube-square"
}
export default class FaIcon extends React.Component<IFaIconProps, any> {
    render(): JSX.Element;
}
